<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;

class DataController extends Controller
{
   /* 
    public function getVoivodeships()
    {
        $voivodeships = DB::table('wojewodztwa')->pluck("name","id");
        return view('unit',compact('voivodeships'));
    }
    */

    public function getCounties($id)
    {
        $counties = DB::table("powiaty")->where("wojewodztwo_id",$id)->pluck("name","id");
        return json_encode($counties);
    }

    public function getCommunities($id)
    {
        $communities= DB::table("gminy")->where("powiat_id",$id)->pluck("name","id");
        return json_encode($communities);
    }
}
